Module java.desktop
Package javax.swing.plaf.basic

## Class BasicListUI.ListDataHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicListUI.ListDataHandler

- All Implemented Interfaces:
    `EventListener`, `ListDataListener`
  Enclosing class:
    BasicListUI

      public class BasicListUI.ListDataHandler
      extends Object
      implements ListDataListener

  The `ListDataListener` that's added to the `JLists` model at `installUI time`, and whenever the JList.model property changes.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    `JList.getModel()`, `BasicListUI.maybeUpdateLayoutState()`, `BasicListUI.createListDataListener()`, `BasicListUI.installUI(javax.swing.JComponent)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListDataHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.ListDataListener

      `contentsChanged, intervalAdded, intervalRemoved`

- - ### Constructor Detail

    - #### ListDataHandler

          public ListDataHandler()